List SaaS Users

This endpoint retrieves a detailed list of SaaS users. The endpoint supports filtering and sorting based on various criteria.

A SaaS user is an individual at the client organization who has been assigned access to a SaaS license managed by the MSP.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^(eq|in):.+$

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field client.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[client.id]=example_value - to filter for exact match.

  • filter[client.id]=eq:example_value - to filter for exact match.

  • filter[client.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field client.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[client.name]=example_value - to filter for exact match.

  • filter[client.name]=eq:example_value - to filter for exact match.

  • filter[client.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[client.name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field contact.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[contact.id]=example_value - to filter for exact match.

  • filter[contact.id]=eq:example_value - to filter for exact match.

  • filter[contact.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field asset.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[asset.id]=example_value - to filter for exact match.

  • filter[asset.id]=eq:example_value - to filter for exact match.

  • filter[asset.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field asset.status.

Supports comparison operators: eq, in.

Query examples:

  • filter[asset.status]=example_value - to filter for exact match.

  • filter[asset.status]=eq:example_value - to filter for exact match.

  • filter[asset.status]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.manufacturer.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.manufacturer.id]=example_value - to filter for exact match.

  • filter[product.manufacturer.id]=eq:example_value - to filter for exact match.

  • filter[product.manufacturer.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.manufacturer.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.manufacturer.name]=example_value - to filter for exact match.

  • filter[product.manufacturer.name]=eq:example_value - to filter for exact match.

  • filter[product.manufacturer.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.id]=example_value - to filter for exact match.

  • filter[product.id]=eq:example_value - to filter for exact match.

  • filter[product.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.name]=example_value - to filter for exact match.

  • filter[product.name]=eq:example_value - to filter for exact match.

  • filter[product.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.category.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.category]=example_value - to filter for exact match.

  • filter[product.category]=eq:example_value - to filter for exact match.

  • filter[product.category]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.manufacturer_sku.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.manufacturer_sku.id]=example_value - to filter for exact match.

  • filter[product.manufacturer_sku.id]=eq:example_value - to filter for exact match.

  • filter[product.manufacturer_sku.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.manufacturer_sku.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.manufacturer_sku.name]=example_value - to filter for exact match.

  • filter[product.manufacturer_sku.name]=eq:example_value - to filter for exact match.

  • filter[product.manufacturer_sku.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field term.starts_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[term.starts_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[term.starts_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[term.starts_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[term.starts_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field term.ends_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[term.ends_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[term.ends_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[term.ends_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[term.ends_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(eq|in):.+$

Filters records by using a query string on the field subscription.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscription.id]=example_value - to filter for exact match.

  • filter[subscription.id]=eq:example_value - to filter for exact match.

  • filter[subscription.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subscription.commerce_subscription_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscription.commerce_subscription_id]=example_value - to filter for exact match.

  • filter[subscription.commerce_subscription_id]=eq:example_value - to filter for exact match.

  • filter[subscription.commerce_subscription_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subscription.status.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscription.status]=example_value - to filter for exact match.

  • filter[subscription.status]=eq:example_value - to filter for exact match.

  • filter[subscription.status]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field subscription.license_count.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[subscription.license_count]=42 - to filter for exact match.

  • filter[subscription.license_count]=eq:42 - to filter for exact match.

  • filter[subscription.license_count]=gt:42 - to filter for greater than

  • filter[subscription.license_count]=gte:42 - to filter for greater than or equal to

  • filter[subscription.license_count]=lt:42 - to filter for less than

  • filter[subscription.license_count]=lte:42 - to filter for less than or equal to

string
^(eq|in):.+$

Filters records by using a query string on the field subscription.billing_cycle_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscription.billing_cycle_name]=example_value - to filter for exact match.

  • filter[subscription.billing_cycle_name]=eq:example_value - to filter for exact match.

  • filter[subscription.billing_cycle_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq):.+$

Filters records by using a query string on the field subscription.is_auto_renewed.

Supports comparison operators: eq.

Query examples:

  • filter[subscription.is_auto_renewed]=true - to filter for exact match.

  • filter[subscription.is_auto_renewed]=eq:true - to filter for exact match.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field activity.last_active_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[activity.last_active_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[activity.last_active_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[activity.last_active_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[activity.last_active_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(eq):.+$

Filters records by using a query string on the field activity.is_active.

Supports comparison operators: eq.

Query examples:

  • filter[activity.is_active]=true - to filter for exact match.

  • filter[activity.is_active]=eq:true - to filter for exact match.

string
^(eq):.+$

Filters records by using a query string on the field authentication.is_mfa_enabled.

Supports comparison operators: eq.

Query examples:

  • filter[authentication.is_mfa_enabled]=true - to filter for exact match.

  • filter[authentication.is_mfa_enabled]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field authentication.default_mfa_method.

Supports comparison operators: eq, in.

Query examples:

  • filter[authentication.default_mfa_method]=example_value - to filter for exact match.

  • filter[authentication.default_mfa_method]=eq:example_value - to filter for exact match.

  • filter[authentication.default_mfa_method]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq):.+$

Filters records by using a query string on the field is_admin.

Supports comparison operators: eq.

Query examples:

  • filter[is_admin]=true - to filter for exact match.

  • filter[is_admin]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.source_record_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.source_record_id]=example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.brand_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.brand_name]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^[+-]?(id|client\.id|client\.name|contact\.id|asset\.id|asset\.status|product\.manufacturer\.id|product\.manufacturer\.name|product\.id|product\.name|product\.category|product\.manufacturer_sku\.id|product\.manufacturer_sku\.name|term\.starts_at|term\.ends_at|activity\.last_active_at|activity\.is_active|authentication\.is_mfa_enabled|authentication\.default_mfa_method|is_admin|record_created_at|record_updated_at)(,[+-]?(id|client\.id|client\.name|contact\.id|asset\.id|asset\.status|product\.manufacturer\.id|product\.manufacturer\.name|product\.id|product\.name|product\.category|product\.manufacturer_sku\.id|product\.manufacturer_sku\.name|term\.starts_at|term\.ends_at|activity\.last_active_at|activity\.is_active|authentication\.is_mfa_enabled|authentication\.default_mfa_method|is_admin|record_created_at|record_updated_at))*$

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

Sortable fields: id, client.id, client.name, contact.id, asset.id, asset.status, product.manufacturer.id, product.manufacturer.name, product.id, product.name, product.category, product.manufacturer_sku.id, product.manufacturer_sku.name, term.starts_at, term.ends_at, activity.last_active_at, activity.is_active, authentication.is_mfa_enabled, authentication.default_mfa_method, is_admin, record_created_at, record_updated_at.

int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json